%define product   CMFMailIn
%define version   1.0.0
%define release   10

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope product to import emails into CMF sites
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
Patch0:     CMFMailin.new_permission_path.diff
URL:       http://www.zope.org/Members/NIP/ZMailIn
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope %{rpm_prefix}-CMF %{rpm_prefix}-ZMailIn

#----------------------------------------------------------------------
%description
CMFMailIn is a Zope product to import emails into CMF sites.

#----------------------------------------------------------------------
%prep
%setup -q -c
%patch0 -p0

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/README.txt %{product}/INSTALL.txt %{product}/LICENSE.txt %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Tue Oct 23 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.0-10mdv2007.1
- Add a patch to import CMFCore.permissions from its new location and shut up
  deprecation warnings

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.0-9mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 1.0.0-8mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 1.0.0-7mdk
- Give ownership to zope

* Wed Jan 18 2006 Kevin Deldycke <kevin@nexedi.com> 1.0.0-6mdk
- New release for Mandriva 2006
- Spec file updated

* Fri May 13 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.0-5mdk
- Remove Packager tag

* Fri May 13 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.0-4mdk
- Rebuild

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 1.0.0-3mdk
- Update spec in order to follows Mandrake Rules

* Wed May 21 2003 Sebastien Robin <jp@nexedi.com> 1.0.0-2nxd
- clean spec file

* Wed Mar 05 2003 Jean-Paul Smets <jp@nexedi.com> 1.0.0-1nxd
- Initial release
